Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts.component
[Java] Interface ModuleComponentSelector

    org.gradle.api.artifacts.component.ComponentSelector
      org.gradle.api.artifacts.component.ModuleComponentSelector

All Superinterfaces:
  ComponentSelector

    @Incubating
    public interface ModuleComponentSelector
    extends ComponentSelector

Criteria for selecting a component instance that is available as a module version.

Since:
  1.10

Method Summary
`String` | `getGroup()` The group of the module to select the component from.
`String` | `getModule()` The name of the module to select the component from.
`String` | `getVersion()` The version of the module to select the component from.

Methods inherited from interface ComponentSelector
getDisplayName, matchesStrictly

Method Detail

### getGroup

    public String getGroup()

  The group of the module to select the component from.
  Returns:
    Module group
  Since:
    1.10

### getModule

    public String getModule()

  The name of the module to select the component from.
  Returns:
    Module name

### getVersion

    public String getVersion()

  The version of the module to select the component from.
  Returns:
    Module version

Gradle API 1.10